=== debian/changelog ===
python-rtmidi (1.1.0-2) unstable; urgency=medium

  * debian/control:
    - Bumps dependency librtmidi3 -> librtmidi4 (Closes: #880848)
    - Bumps debhelper compat from 9 to 10.
  * Bumps Standards-Version to 4.1.1:
    - Changes extra package priority to optional.

 -- Josue Ortega <josue@debian.org>  Sat, 25 Nov 2017 08:24:34 -0600

python-rtmidi (1.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #825143)

 -- Josue Ortega <josue@debian.org>  Sun, 16 Jul 2017 17:43:42 -0600
