=== debian/control ===
Source: python-rtmidi
Section: python
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>=10),
 dh-python,
 python3-all,
 python3-all-dev,
 python3-setuptools,
 cython3 (>= 0.25.2),
 libasound-dev,
 libjack-dev,
 librtmidi-dev,
 python3-pytest,
 python3-mock
Standards-Version: 4.1.1
Homepage: http://trac.chrisarndt.de/code/wiki/python-rtmidi
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-rtmidi.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-rtmidi.git

Package: python3-rtmidi
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 librtmidi4
Suggests: libjack0,
 libasound2
Description: Python wrapper for the RtMidi C++ library written with Cython
 Python binding for RtMidi implemented with Cython and provides a thin wrapper
 around the RtMidi C++ interface. The API is basically the same as the C++ one
 but with the naming scheme of classes, methods and parameters adapted to the
 Python naming structure.
