=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=rtmidi

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -f $(CURDIR)/src/_rtmidi.cpp
	rm -f $(CURDIR)/rtmidi/*.so
	rm -rf $(CURDIR)/python_rtmidi.egg-info
	dh_auto_clean

override_dh_auto_test:
#Overrides auto_test due to `/dev/snd/seq` is not available during
#build in a chroot enviroment
