=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-rtmidi-$1\.tar\.gz/ \
  https://github.com/SpotlightKid/python-rtmidi/releases .*/v*(\d\S*)\.tar\.gz
