=== debian/changelog ===
python-rtmidi (1.2.1-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:24:10 +0100

python-rtmidi (1.2.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:43:44 +0000

python-rtmidi (1.2.1-1) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * Revert to the embedded RtMidi, explain why in README.source.
  * Fix upstream version in this changelog (remove ~).
  * Add forgotten Rules-Requires-Root: no field.
  * Let the run time test check a C call in addition to basic import.
    Prevent the rtmidi subdirectory hiding the installed one.

  [ Josue Ortega ]
  * New upstream release. (1.2.1):
    - Update debian/copyright for files under `src/rtmidi`.
  * debian/watch: Updated to use Pypi since Github tarball does not include
    properly the `src` directory.
  * debian/copyright: Update copyright holders years.

 -- Josue Ortega <josue@debian.org>  Wed, 06 Feb 2019 18:44:43 -0600

python-rtmidi (1.2.0~rc1-2) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Drop unnecessary dependencies.
  * Update copyright years.
  * Use the packaged rtmidi instead of an embedded copy. (Closes: #883709)
  * debian/rules: add Link with --as-needed flag.

 -- Josue Ortega <josue@debian.org>  Sat, 29 Dec 2018 07:03:23 -0600

python-rtmidi (1.2.0~rc1-1) unstable; urgency=medium

  * New upstream release. (1.2.0rc1)
  * Remove Build Dependency on librtmidi-dev, since it is not needed at
    build time (Closes: #883709).
  * debian/control: Update Vcs-* fields to use salsa.debian.org.
  * Bump debhelper compat level to 11.
  * Add package examples to installation.
  * Bump Standards-Version to 4.3.0, no changes were required.
  * Add CI tests.

 -- Josue Ortega <josue@debian.org>  Fri, 28 Dec 2018 15:04:12 -0600
