=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=rtmidi

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean src/_rtmidi.cpp python_rtmidi.egg-info/

override_dh_auto_test:
#Overrides auto_test due to `/dev/snd/seq` is not available during
#build in a chroot enviroment
