## python-rtmidi 1.4.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: clean-pyc clean-build docs clean
 
 PYTHON ?= python
-SOURCES = src/_rtmidi.cpp src/RtMidi.cpp
+SOURCES = src/_rtmidi.pyx src/rtmidi/RtMidi.cpp
 
 help:
 	@echo "build - build extension module (and place it in the rtmidi package)"
@@ -68,7 +68,7 @@
 	$(PYTHON) setup.py release
 
 release_upload: release
-	twine upload --skip-existing dist/*.whl dist/*.tar.gz
+	twine upload --skip-existing dist/*.tar.gz
 
 test:
 	PYTHONPATH=examples $(PYTHON) setup.py test
