=== debian/changelog ===
python-rtmidi (1.4.7-1) unstable; urgency=medium

  * New upstream release (1.4.7)
  * Declare package Standards Version to be 4.5.1. No changes were
    required
  * debian/watch: Bump file standard version to 4
  * debian/rules: Remove -Wl, --as-needed linker flags since it is not
    necessary anymore for bullseye distribution

 -- Josue Ortega <josue@debian.org>  Mon, 01 Feb 2021 19:34:50 -0600

python-rtmidi (1.4.5-1) unstable; urgency=medium

  * New upstream release (1.4.5)
  * Switch package to use debhelper-compat (= 13)
  * Bump Standards-Version to 4.5.0. No changes required

 -- Josue Ortega <josue@debian.org>  Sun, 04 Oct 2020 14:34:15 -0600
