=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-all-dev,
@@ -13,7 +13,7 @@
  libjack-dev,
  python3-pytest,
  python3-mock
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://trac.chrisarndt.de/code/wiki/python-rtmidi
 Vcs-Git: https://salsa.debian.org/debian/python-rtmidi.git
