=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
 
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=rtmidi
