=== debian/changelog ===
python-rtmidi (1.5.8-3build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:02:02 +0100

python-rtmidi (1.5.8-3) unstable; urgency=medium

  * debian/control:
    + Remove unused dependency on python3-mock. Thanks to
      Alexandre Detiste <alexandre.detiste@gmail.com> for the fix.
    + Add pybuild-plugin-pyproject and python3-mesonpy as build deps.

 -- Josue Ortega <josue@debian.org>  Mon, 22 Apr 2024 18:49:52 -0600

python-rtmidi (1.5.8-2) unstable; urgency=medium

  * Drop build-dependency on python3-dev-all. (Closes: #1057859)
  * debian/copyright: Update copyright holder year for debian/*.

 -- Josue Ortega <josue@debian.org>  Tue, 02 Jan 2024 11:22:19 -0600

python-rtmidi (1.5.8-1) unstable; urgency=medium

  * New upstream release (1.5.8):
    - This version includes the fix for (no)gil/except declarations on MIDI in
      callback and sendMessage. (Closes: #1056869)
      See: https://github.com/SpotlightKid/python-rtmidi/pull/185/files
  * debian/control:
    - Add python-mesonpy as build dependency.
    - Remove unnecessary restrictions.
    - Update Homepage URL.
  * Bump Standards-Version to 4.6.2. No changes required.
  * debian/copyright: Update copyright holder year for debian/* files.

 -- Josue Ortega <josue@debian.org>  Sun, 03 Dec 2023 10:56:59 -0600
